part of web;

class ReadNotePage extends StatefulWidget {
  final void Function()? onTap;
  const ReadNotePage({
    Key? key,
    required this.onTap,
  }) : super(key: key);

  @override
  State<ReadNotePage> createState() => _ReadNotePageState();
}

class _ReadNotePageState extends State<ReadNotePage> {
  late TextEditingController searchController = TextEditingController();
  @override
  Widget build(BuildContext context) {
    return GetBuilder<NoteController>(
      init: NoteController(),
      builder:(controller) =>Column(
        crossAxisAlignment: CrossAxisAlignment.end,
        children: [
          Container(
              margin: EdgeInsets.only(left: 15.w,right: 15.w,top: 15.w,bottom: 15.w),
              child: GestureDetector(
                onTap: widget.onTap,
                child: Image.asset('assets/images/close.png')
              )
          ),
          Container(
            margin: EdgeInsets.only(left: 15.w,right: 15.w,),
            decoration: BoxDecoration(
              color: const Color(0xFFF9F9F9),
              borderRadius: BorderRadius.circular(17.5.w),
              boxShadow: [
                BoxShadow(
                  color: const Color(0xFFC7C7C7).withOpacity(0.5),
                  offset: Offset(3.w, 0),
                  blurRadius: 10.w,
                  spreadRadius: 0.w,
                ),
              ],
            ),
            child: ClipRRect(
              borderRadius: BorderRadius.circular(17.5.w),
              child: CustomInputSearch(
                controller: searchController,
                readOnly: false,
                hintText: '请输入书籍名称笔记',
                onTap: () {
                  // context.pushNamed(Routes.msgs);
                },
                onEditingComplete: () {

                },
              ),
            ),
          ),
          BuildBook(),
          Expanded(
            child: ListView.builder(
              itemBuilder: (BuildContext context,int index){
                NoteModel model = controller.notes[index];
                // 划线
                if(model.types == 1){
                  return  BuildLine(model: model,);
                }
                // 高亮
                else if(model.types == 2){
                  return BuildHigh(model: model,);
                }
                // 笔记
                else if(model.types == 3){
                  return BuildNote(model: model,);
                }
              },
              itemCount: controller.notes.length,
            ),
          ),
        ],
      ),
    );
  }
}
